Informacja: to nie jest dziennik zmian dla najnowsza stabilna wersja 4.14.3
zobacz wszystkie dzienniki zmian

Wersja v2.7.2 - kompatybilność i wydanie poprawki błędów - jest dostępna

v2.7.2 to wersja kompatybilności i poprawek błędów, która koncentruje się na zwiększeniu ogólnej użyteczności frontendu i backendu. Chciałbym szczególnie podziękować wszystkim użytkownikom zgłaszającym problemy i konflikty wtyczek, które można rozwiązać również w tej wersji.

Aktualizacja do najnowszej wersji jest - jak zawsze - wysoce zalecana. Więcej informacji na temat tego wydania można znaleźć poniżej.


Daj nam znać, co myślisz o tym nowym wydaniu przesłanie recenzji lub zostawiając komentarz poniżej!

Jeśli chcesz być na bieżąco z najnowszą wersją Maps Marker Pro, postępuj zgodnie z @MapsMarker na Twitterze (= większość aktualnych aktualizacji), na Facebook, Google+ lub subskrybuj wiadomości za pośrednictwem RSS lub za pośrednictwem RSS / e-mail.

Zapraszamy również do przyłączenia się do naszego Program partnerski który oferuje prowizje do 50%. Jeśli chcesz zostać sprzedawcą, odwiedź stronę https://www.mapsmarker.com/reseller


Przejdźmy teraz do najważniejszych cech pro v2.7.2:

nowa akcja zbiorcza, aby usunąć przypisane znaczniki na stronie edycji warstwy

Na stronach edycji warstw możesz teraz zbiorczo usuwać przypisane znaczniki z tabeli:

luzem-usuń-warstwy-strona

Dziękujemy Chrisowi za cenne opinie!

dodaj ustawienie zgodności dla map, aby ładowały się poprawnie w zastrzeżonych rozwiązaniach tabulatorów i ukrytych divach

Maps Marker Pro już obsługuje prawidłowe wyświetlanie map na kartach utworzonych za pomocą kart interfejsu użytkownika jQuery i kart bootstrap. To, co do tej pory sprawiało nam pewne problemy, polegało na tym, że zastrzeżone rozwiązania kart lub mapy ładowane były do ​​ukrytych div i pokazywane przez kliknięcie na żądanie - może to spowodować, że mapy nie zostaną w pełni załadowane.

Tak więc w wersji 2.7.2 dodaliśmy teraz nowe ogólne ustawienia zgodności w Ustawieniach / Różne / Ustawienia ogólne:

ustawienie zgodności kart

Włącz to ustawienie tylko wtedy, gdy masz problemy z mapami w zastrzeżonych rozwiązaniach kart lub ukrytych div, które są wyświetlane na żądanie.

pokaż komunikat o błędzie, jeśli użytkownicy spróbują przypisać znacznik bezpośrednio do mapy wielowarstwowej

Fakt, że markerów nie można przypisać bezpośrednio do map wielowarstwowych, a jedynie do warstw używanych w mapach wielowarstwowych, może nie być intuicyjny - szczególnie dla nowych użytkowników. W wersji 2.7.2 próbowaliśmy to poprawić, wyświetlając informacje o alertach z powiązanymi informacjami, jeśli użytkownik próbuje przypisać znacznik do mapy wielowarstwowej:

Błąd przypisania mlm

Inne zmiany i optymalizacje

  • Funkcja „zmień identyfikator warstwy” na stronie narzędzi teraz aktualizuje również identyfikator warstwy używany w mapach wielowarstwowych (dzięki Coen!)
  • usunięto opcję szerokości ikon dla widżetów (ponieważ ikona uległa zniekształceniu)
  • zaktualizowana minimalna zalecana wersja PHP dla wbudowanego sprawdzania PHP do 5.6 - obsługa wpupdatephp.com

Poprawki

  • kompatybilność formularzy ContactForm7 w wyskakujących tekstach na mapach warstw
  • skalowanie map bazowych MapQuest OSM do poziomu powiększenia 18+ zostało zepsute (dzięki Michael!)
  • mapy warstw mogłyby zostać uszkodzone, gdyby zastosowano specjalną kombinację ustawień dla listy markerów (dzięki Lynn!)
  • ostatni widget znaczników: pokaż linie separatora, pokaż wyskakujący tekst i pokaż ikony-opcje nie działały zgodnie z planem (dzięki Harald!)
  • najnowszy widget znacznika: opcja ustawienia wartości koloru dla linii separatora została zerwana
  • znaki kontrolne, takie jak tabulatory w nazwie znacznika, mogą łamać mapy warstw przy włączonej liście znaczników (dzięki Peter!)
  • Błąd interfejsu API REST „Określony użytkownik ma już klucze API lub określony użytkownik nie istnieje.”
  • sprawdzanie zgodności wtyczki linków zewnętrznych WP już nie działało od wersji 2.0 (dzięki Oleg!)
  • okres próbny niezależny dostęp do map interfejsu użytkownika na instalacjach hosta lokalnego został zerwany
  • lista przypisań warstw nie została uporządkowana według ID warstwy na stronie edycji znaczników i narzędzi (dzięki Coen!)
  • javascript niezdefiniowane ostrzeżenie dla listy markerów, jeśli zmieniła się wartość nonce
  • Funkcja „zmień identyfikator warstwy” na stronie narzędzi nie aktualizowała przypisanych znaczników od wersji 2.4 (dzięki Coen!)
  • Tabela „lista znaczników” na stronach edycji warstw dla mapy wielowarstwowej z przypisanymi wszystkimi znacznikami nie była wyświetlana poprawnie

Znane problemy

Funkcja geolokalizacji nie działa już w przeglądarce Google Chrome 50+, chyba że witryna jest bezpiecznie dostępna za pośrednictwem protokołu https

W Chrome 50 Google dokonał znaczącej zmiany w obsłudze geolokalizacji swojej przeglądarki: wszystkie aplikacje żądające aktualnej pozycji użytkownika (nie tylko funkcji geolokalizacji Maps Marker Pro) mogą już pobierać aktualną pozycję użytkownika, jeśli witryna jest skonfigurowana do bezpiecznego dostarczania za pośrednictwem https - zamiast tego użytkownicy zobaczą następujące ostrzeżenie:

informacje o błędzie geolokalizacji

Zobacz więcej szczegółów na temat tej decyzji Google pod adresem https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolokalizacja będzie nadal działać na witrynach innych niż https, jeśli użytkownicy uzyskają dostęp do witryny za pośrednictwem alternatywnych przeglądarek, takich jak Firefox, Safari lub Internet Explorer - w każdym razie może być prawdopodobne, że przeglądarki te dodadzą podobne ograniczenia bezpieczeństwa w przyszłości.

Jeśli więc potrzebujesz geolokalizacji Maps Marker Pro na swojej stronie (która w wersji v2.7 staje się jeszcze bardziej użyteczna, ponieważ możesz sortować listę markerów na podstawie bieżącej pozycji użytkownika), zdecydowanie zalecamy migrację witryny do https. Niektórzy hostingi udostępniają już bezpłatne certyfikaty https od letsencrypt.org na przykład. Aby uzyskać konfiguracje potrzebne w witrynie WordPress w celu skonfigurowania jej do obsługi protokołu https, zapoznaj się z samouczkami, takimi jak https://css-tricks.com/moving-to-https-on-wordpress/.

Ponieważ https ma więcej zalet dla Twojej witryny niż tylko geolokalizacja współpracująca z Google Chrome 50+ (np. Zapewnienie integralności danych, uwierzytelnienia nadawcy i prywatności użytkowników, a także wyższego rankingu Google, ponieważ https jest używany jako sygnał rankingowy), zdecydowanie zalecamy zmianę twoją stronę do https tylko jeśli jeszcze tego nie zrobiłeś.

Aktualizacje tłumaczeń

Dzięki wielu zmotywowanym współpracownikom ta wersja zawiera następujące zaktualizowane tłumaczenia:

Jeśli chcesz przyczynić się do tłumaczeń (docenilibyśmy nowych tłumaczy hindi!), Odwiedź stronę https://translate.mapsmarker.com/projects/lmm po więcej informacji.

Należy pamiętać, że tłumacze otrzymują również rekompensatę za swój wkład - na przykład, jeśli tłumaczenie zostanie ukończone w mniej niż 50%, tłumacz otrzymuje bezpłatny pakiet 25 licencji o wartości 249 EUR jako rekompensatę za wykonanie tłumaczenia do 100%.

Outlook - plany na kolejne wydania

Proszę zrozumieć, że nie jesteśmy w stanie obiecać żadnych dat wydania nowych funkcji. The mapa drogowa dla głównych nowych funkcji daje wyobrażenie o tym, dokąd zmierza Maps Marker Pro - w każdym razie chcemy zachować elastyczność w zakresie dodawania optymalizacji i poprawek błędów z raczej nieplanowanymi drobnymi wydaniami wynikającymi głównie z opinii użytkowników.

Subskrybuj tego bloga (za pośrednictwem RSS or E-mail) lub śledź @MapsMarker na Twitterze (= większość aktualnych aktualizacji), jeśli chcesz być na bieżąco z najnowszymi wiadomościami dla programistów.

Pełny dziennik zmian

nowa akcja zbiorcza, aby usunąć przypisane znaczniki na stronie edycji warstwy (dzięki Chris!)
dodaj ustawienie zgodności dla map, aby ładowały się poprawnie w zastrzeżonych rozwiązaniach tabulatorów i ukrytych divach
pokaż komunikat o błędzie, jeśli użytkownicy spróbują przypisać znacznik bezpośrednio do mapy wielowarstwowej
Funkcja „zmień identyfikator warstwy” na stronie narzędzi teraz aktualizuje również identyfikator warstwy używany w mapach wielowarstwowych (dzięki Coen!)
usunięto opcję szerokości ikon dla widżetów (ponieważ ikona uległa zniekształceniu)
zaktualizowana minimalna zalecana wersja PHP dla wbudowanego sprawdzania PHP do 5.6 - obsługa wpupdatephp.com
kompatybilność formularzy ContactForm7 w wyskakujących tekstach na mapach warstw
skalowanie map bazowych MapQuest OSM do poziomu powiększenia 18+ zostało zepsute (dzięki Michael!)
mapy warstw mogłyby zostać uszkodzone, gdyby zastosowano specjalną kombinację ustawień dla listy markerów (dzięki Lynn!)
ostatni widget znaczników: pokaż linie separatora, pokaż wyskakujący tekst i pokaż ikony-opcje nie działały zgodnie z planem (dzięki Harald!)
najnowszy widget znacznika: opcja ustawienia wartości koloru dla linii separatora została zerwana
znaki kontrolne, takie jak tabulatory w nazwie znacznika, mogą łamać mapy warstw przy włączonej liście znaczników (dzięki Peter!)
Błąd interfejsu API REST „Określony użytkownik ma już klucze API lub określony użytkownik nie istnieje.”
sprawdzanie zgodności wtyczki linków zewnętrznych WP już nie działało od wersji 2.0 (dzięki Oleg!)
okres próbny niezależny dostęp do map interfejsu użytkownika na instalacjach hosta lokalnego został zerwany
lista przypisań warstw nie została uporządkowana według ID warstwy na stronie edycji znaczników i narzędzi (dzięki Coen!)
javascript niezdefiniowane ostrzeżenie dla listy markerów, jeśli zmieniła się wartość nonce
Funkcja „zmień identyfikator warstwy” na stronie narzędzi nie aktualizowała przypisanych znaczników od wersji 2.4 (dzięki Coen!)
Tabela „lista znaczników” na stronach edycji warstw dla mapy wielowarstwowej z przypisanymi wszystkimi znacznikami nie była wyświetlana poprawnie
Funkcja geolokalizacji nie działa już w Google Chrome 50+, chyba że witryna jest bezpiecznie dostępna za pośrednictwem https (detale)
Aktualizacje tłumaczeń
Jeśli chcesz pomóc w tłumaczeniach, odwiedź stronę platforma internetowa do tłumaczenia
zaktualizowane tłumaczenie niemieckie
zaktualizowane tłumaczenie na język litewski dzięki Donatas Liaudaitis - http://www.transleta.co.uk i Ovidijus - http://www.manokarkle.lt
zaktualizowane tłumaczenie rosyjskie dzięki Ekaterinie Golubinie (wspieranej przez Teplitsa z Social Technologies - http://te-st.ru) i Wiaczesław Strenadko, http://slavblog.ru

pokaż wszystkie dostępne dzienniki zmian

Jak pobierać / aktualizować

Najłatwiejszym sposobem aktualizacji jest skorzystanie z procesu aktualizacji WordPress: zaloguj się z użytkownikiem, który ma uprawnienia administratora, przejdź do Dashboard / Updates, wybierz wtyczki do aktualizacji i naciśnij przycisk „Aktualizuj wtyczki”. Wtyczka pro sprawdza co 12 godzin, czy dostępna jest nowa wersja. Możesz także ręcznie uruchomić sprawdzanie aktualizacji, przechodząc do wtyczek i klikając link „Ręcznie sprawdź dostępność aktualizacji” obok „Maps Marker Pro”:

ręczna aktualizacja aktualizacji

Jeśli nie widzisz linku „Sprawdź dostępność aktualizacji” i korzystasz z wersji poniżej 1.7, zaktualizuj ręcznie raz, pobierając bieżący pakiet z https://www.mapsmarker.com/download-pro i nadpisywanie istniejących plików wtyczek na twoim serwerze przez FTP. Może to być potrzebne na kilku hostach, które używają przestarzałych bibliotek SSL, które uniemożliwiają nawiązanie bezpiecznego połączenia Maps Marker Pro w celu pobrania pakietu aktualizacji z mapmarker.com. Wersja v1.7 zawiera obejście dla tego rodzaju serwerów, a następujące aktualizacje powinny znów działać jak zwykle. Jeśli jesteś dotknięty chorobą i potrzebujesz pomocy, proszę otwórz bilet wsparcia.

Jak sprawdzić integralność pakietu wtyczek

Wartość skrótu SHA-256:

4EC2DB8D4FD314166E7F63CA85CC838222DCCEDCD2879DBD3D730E1F47052CAF

Kliknij tutaj, aby uzyskać samouczek na temat sprawdzania integralności pakietu wtyczek (zalecane, jeśli pakiet wtyczek do nowej instalacji nie został pobrany ze strony https://www.mapsmarker.com - weryfikacja nie jest wymagana, jeśli używany jest proces automatycznej aktualizacji)

Dodatkowe uwagi dotyczące aktualizacji beta testera

W przypadku aktualizacji z wersji beta nie są wymagane żadne dodatkowe czynności.

Zostaw komentarz

XHTML: Możesz użyć tych tagów: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X